Subject: FW: draft-ietf-mpls-tc-mib-06a.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 30 Sep 2003 20:10:41 +0200

[sorry, again forwarding to the WG list.
 it is only after I respond to these emails that I notice
 that document authors seem to not copy the WG list
 PLEASE do so from now on]

Thanks,
Bert 

-----Original Message-----
From: Wijnen, Bert (Bert) 
Sent: dinsdag 30 september 2003 20:08
To: [email-masked]'; Wijnen, Bert (Bert); 'Joan Cucchiara x302';
'Kireeti Kompella'; [email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]
Cc: [email-masked]; [email-masked];
[email-masked]; [email-masked]
Subject: RE: draft-ietf-mpls-tc-mib-06a.txt

> 
> 
> 	The reason why the multiple fields
> were left in place was because someone (Arun
> I think) pointed out that you may want to
> specify a hop address AND an AS number for
> the case where you want to get to a specific
> AS *through* a specific HOP.
> 

a TeHopAddress can contain an AS number.
So if you have a separate field for AS number what would then
be in the TeHopAddress??? And why would you need two addesses
to get to one place? SOrry I am confused here

Bert
> 	--Tom
> 
> 
> >-----Original Message-----
> >From: Wijnen, Bert (Bert) [mailto:[email-masked]] 
> >Sent: Tuesday, September 30, 2003 10:31 AM
> >To: 'Joan Cucchiara x302'; [email-masked]'; 'Kireeti 
> >Kompella'; [email-masked]'; [email-masked]'; Wijnen, Bert 
> >(Bert); [email-masked]'; [email-masked]'; [email-masked]'
> >Cc: [email-masked]; [email-masked]; 
> >[email-masked]; [email-masked]
> >Subject: RE: draft-ietf-mpls-tc-mib-06a.txt
> >
> >
> >Inline
> >
> >Thanks,
> >Bert 
> >
> >> -----Original Message-----
> >> From: Joan Cucchiara x302 [mailto:[email-masked]]
> >> Sent: dinsdag 30 september 2003 15:29
> >> To: [email-masked]'; 'Kireeti Kompella'; Joan Cucchiara x302;
> >> [email-masked]'; [email-masked]'; [email-masked]';
> >> [email-masked]'; [email-masked]'; [email-masked]'
> >> Cc: [email-masked]; [email-masked];
> >> [email-masked]; [email-masked]
> >> Subject: RE: draft-ietf-mpls-tc-mib-06a.txt
> >> 
> >> 
> >> 
> >> Hi Kireeti,
> >> 
> >> 
> >> > -----Original Message-----
> >> > From: Thomas D. Nadeau [mailto:[email-masked]]
> >> > Sent: Monday, September 29, 2003 12:26 PM
> >> > To: 'Kireeti Kompella'; 'Joan Cucchiara x302'
> >> > Cc: [email-masked]; [email-masked];
> >> > [email-masked]; [email-masked]
> >> > Subject: RE: draft-ietf-mpls-tc-mib-06a.txt
> >> > 
> >> > 
> >> > 
> >> > 
> >> > >-----Original Message-----
> >> > >From: Kireeti Kompella [mailto:[email-masked]] 
> >> > >Sent: Monday, September 29, 2003 11:46 AM
> >> > >To: Joan Cucchiara x302
> >> > >Cc: [email-masked]; [email-masked]; 
> >> > >[email-masked]; [email-masked]; 
> >> > >[email-masked]; Kireeti Kompella
> >> > >Subject: RE: draft-ietf-mpls-tc-mib-06a.txt
> >> > >
> >> > >
> >> > >Hi Joan et al,
> >> > >
> >> > >In a review of the TE MIB, I was asked to explain why 
> >hops in general
> >> > >could include AS numbers.  I think that the best place to 
> >explain that
> >> > >would be in the TC MIB, rather than every place that the 
> >Hop TCs are
> >> > >used.  If you all agree, I will supply text to go in the 
> >description.
> >> 
> >> Can we check with Bert and Mike on this?  I am not opposed 
> but would
> >> like to make sure it is okay with Bert and Mike from MIB Dr.
> >> point of view?
> >> 
> >> Am cc'ing the larger group of folks. Hope that is okay!
> >> 
> >I am OK and all for better descriptions. So adding text as to why 
> >AS numbers and unnumbered links is a Good Thing I think.
> >It will not change semantix, it will only clarify (better explain)
> >things.
> >
> >More below
> >
> >>    thanks, Joan
> >> 
> >> 
> >> > >
> >> > >BTW, looking at the MPLS TE MIB, I see that I don't 
> >understand TCs!
> >> > >The MplsTunnelHopEntry is:
> >> > >
> >> > >MplsTunnelHopEntry ::= SEQUENCE {
> >> > >      mplsTunnelHopListIndex          MplsPathIndex,
> >> > >      mplsTunnelHopPathOptionIndex    MplsPathIndex,
> >> > >      mplsTunnelHopIndex              MplsPathIndex,
> >> > >      mplsTunnelHopAddrType           TeHopAddressType,
> >> > >      mplsTunnelHopIpAddr             TeHopAddress,
> >> > >      mplsTunnelHopIpPrefixLen        InetAddressPrefixLength,
> >> > >      mplsTunnelHopAsNumber           TeHopAddressAS,
> >> > >      mplsTunnelHopAddrUnnum          TeHopAddressUnnum,
> >> > >      mplsTunnelHopLspId              MplsLSPID,
> >> > >      <etc>
> >> > >
> >> > >I was under the impression that one could just have:
> >> > >MplsTunnelHopEntry ::= SEQUENCE {
> >> > >      mplsTunnelHopListIndex          MplsPathIndex,
> >> > >      mplsTunnelHopPathOptionIndex    MplsPathIndex,
> >> > >      mplsTunnelHopIndex              MplsPathIndex,
> >> > >      mplsTunnelHopAddrType           TeHopAddressType,
> >> > >      mplsTunnelHopIpAddr             TeHopAddress,
> >> > >      <etc>
> >> > >
> >> > >as the TeHopAddress TC includes AS and unnum ...  I 
> guess that is
> >> > >wrong?
> >> > 
> >> > 	The AS and UnNum are in separate objects
> >> > so that they can be represented that way
> >> > (rather than say an opaque octet string).
> >> > 
> >Mmm... I believe I have repeatedly question the same.
> >We have the TeHopAddress and TeHopAddressType TCs, so that 
> we basically
> >have a discriminated union, and so that we do NOT need 
> multiple columns
> >to represent the different types of addressed.
> >
> >You are not telling me that this slipped thorugh my latest review,
> >are you?
> >
> >Bert
> >> > 	--Tom
> >> > 
> >> > >
> >> > >Thanks,
> >> > >Kireeti.
> >> > >
> >> > 
> >> 
> >
>